// The precursor to using geometric context: parameterize
// the drawing of a house so that it can easily be moved
// around the sketch.x

void setup()
{
  size( 500, 500 );
}

void drawHouse( float dx, float dy )
{
  // Facade
  fill( #BFB375 );
  rect( -100+dx, -150+dy, 200, 150 );

  // Roof
  fill( #3E362F );
  triangle( 
    dx, -250+dy,
    -130+dx, -150+dy,
    130+dx, -150+dy );
}

void draw()
{
  background( 255 );
  drawHouse( 0.5*width, 0.75*height );
}
